/*=============================================================================*
 *  Copyright 2004 The Apache Software Foundation
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 *=============================================================================*/
package org.apache.ws.resource.example.filesystem;

import javax.xml.namespace.QName;
import java.io.Serializable;

/**
 * **** NOTE: This file will not be overwritten during generation ****
 *
 * Home for Filesystem WS-Resources.
 */
public class FilesystemHome
   extends AbstractFilesystemHome
   implements Serializable
{
   /** DOCUMENT_ME */
   public static final String LVOL1_ID = "/dev/vg00/lvol1";

   /** DOCUMENT_ME */
   public static final String LVOL2_ID = "/dev/vg00/lvol2";

   /**  The service endpoint name as registered with the SOAP Platform.  This is useful for building EPR's. **/
   public static final QName SERVICE_NAME =
      javax.xml.namespace.QName.valueOf( "{http://ws.apache.org/resource/example/filesystem}filesystem" );

   /** The management PortType associated with this resource. This is useful for building EPR's.**/
   public static final QName PORT_TYPE =
      javax.xml.namespace.QName.valueOf( "{http://ws.apache.org/resource/example/filesystem}FileSystemPortType" );

   /** The WSDL Port name associated with the resource. This is useful for building EPR's. **/
   public static final String PORT_NAME = "filesystem";

   /** The name of the resource key for this resource. **/
   public static final QName RESOURCE_KEY_NAME =
      javax.xml.namespace.QName.valueOf( "{http://ws.apache.org/resource/example/filesystem}ResourceIdentifier" );

   /**
    * A NamespaceVerionHolder which maintains the QNames of Spec Wsdls
    */
   public static final org.apache.ws.notification.base.v2004_06.impl.WsnNamespaceVersionHolderImpl SPEC_NAMESPACE_SET =
      new org.apache.ws.notification.base.v2004_06.impl.WsnNamespaceVersionHolderImpl(  );

   /** A constant for the JNDI Lookup name for this home. **/
   public static final String HOME_LOCATION =
      org.apache.ws.resource.JndiConstants.CONTEXT_NAME_SERVICES + "/" + SERVICE_NAME.getLocalPart(  ) + "/"
      + org.apache.ws.resource.JndiConstants.ATOMIC_NAME_HOME;

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public org.apache.ws.resource.NamespaceVersionHolder getNamespaceSet(  )
   {
      return SPEC_NAMESPACE_SET;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public QName getPortType(  )
   {
      return PORT_TYPE;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public QName getResourceKeyNameQName(  )
   {
      return RESOURCE_KEY_NAME;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public QName getServiceName(  )
   {
      return SERVICE_NAME;
   }

   /**
    * DOCUMENT_ME
    *
    * @return DOCUMENT_ME
    */
   public String getServicePortName(  )
   {
      return PORT_NAME;
   }

   /**
    * Create and add two resource instances.
    *
    * @throws Exception on error
    */
   public void init(  )
   throws Exception
   {
      super.init(  );
      add( createInstance( LVOL1_ID ) );
      add( createInstance( LVOL2_ID ) );
   }
}